This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1278161 - Rhev vm scan error [bad component(expected port component): "443"]
Rhev vm scan error [bad component(expected port component): "443"]
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.5.0
All All
high Severity high
: GA
: 5.5.0
Assigned To: Rich Oliveri
Nandini Chandra
:
Depends On:
Blocks: 1279629
  Show dependency treegraph
 
Reported: 2015-11-04 14:38 EST by Josh Carter
Modified: 2015-12-08 08:44 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1279629 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:44:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Carter 2015-11-04 14:38:17 EST
Description of problem:

Scanning a powered on virtual machine on rhev results in the following error. 

[----] I, [2015-11-04T14:27:26.089921 #34891:733994]  INFO -- : MIQ(ManageIQ::Providers::Redhat::InfraManager::Vm.connect_to_ems): Connecting to [ems(directly):cf-rhevm-3-
2.gsslab.rdu2.redhat.com] for VM:[/rhev/data-center/5849b030-626e-47cb-ad90-3ce782d831b3/mastersd/master/vms/b1f6835e-7408-4eae-a85c-bb14616fc8f0/b1f6835e-7408-4eae-a85c-b
b14616fc8f0.ovf]

[----] E, [2015-11-04T14:27:26.159784 #34891:733994] ERROR -- : MIQ(ManageIQ::Providers::Redhat::InfraManager::Vm.connect_to_ems): Connection to [ems(directly):cf-rhevm-3-2.gsslab.rdu2.redhat.com] failed for VM:[/rhev/data-center/5849b030-626e-47cb-ad90-3ce782d831b3/mastersd/master/vms/b1f6835e-7408-4eae-a85c-bb14616fc8f0/b1f6835e-7408-4eae-a85c-bb14616fc8f0.ovf] with error [bad component(expected port component): "443"] after [0.069830741] seconds

The appliance is able to collect inventory over port 443 successfully so no network connectivity issues should be present. Host credentials validated successfully also. 

Version-Release number of selected component (if applicable):

cfme-5.5.0.8-beta1.4.20151027164951_4ab7fea 

MiQ-master.20151104143641_baf6e8e 

Rhev-master.20151104143641_baf6e8e 

Rhev is single datacenter, single host backed by a ISCSI datastore. 

How reproducible:


I was able to reproduce on the nightly upstream build 11-4

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 4 Josh Carter 2015-11-04 16:20:38 EST
Rhev 3.5.0
Comment 5 Greg Blomquist 2015-11-05 10:12:05 EST
Since this is dealing with VM Scans, I'm changing the component over to SmartState ...
Comment 7 CFME Bot 2015-11-09 11:00:26 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/37367cd56628752a31f8e21d2a860923b5c775a7

commit 37367cd56628752a31f8e21d2a860923b5c775a7
Author:     Richard Oliveri <roliveri@redhat.com>
AuthorDate: Fri Nov 6 16:13:52 2015 -0500
Commit:     Richard Oliveri <roliveri@redhat.com>
CommitDate: Fri Nov 6 16:59:02 2015 -0500

    For Rhev SSA, connect through ems.
    
    For SmartState scans of VMs in the Rhev environment, connect to the
    provider through the VM's ems, instead of using oVirt directly.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1278161

 .../vm_or_template_shared/scanning.rb              | 53 ++++++----------------
 1 file changed, 14 insertions(+), 39 deletions(-)
Comment 8 CFME Bot 2015-11-16 16:17:01 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=cbc3c58c82cb804748fca6a6c381d37b353d02c3

commit cbc3c58c82cb804748fca6a6c381d37b353d02c3
Author:     Richard Oliveri <roliveri@redhat.com>
AuthorDate: Fri Nov 6 16:13:52 2015 -0500
Commit:     Richard Oliveri <roliveri@redhat.com>
CommitDate: Mon Nov 9 17:11:58 2015 -0500

    For Rhev SSA, connect through ems.
    
    For SmartState scans of VMs in the Rhev environment, connect to the
    provider through the VM's ems, instead of using oVirt directly.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1278161

 .../vm_or_template_shared/scanning.rb              | 53 ++++++----------------
 1 file changed, 14 insertions(+), 39 deletions(-)
Comment 9 CFME Bot 2015-11-16 16:19:43 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=a5652ef84d4d9916b989af495df20429c1b10eef

commit a5652ef84d4d9916b989af495df20429c1b10eef
Merge: afeb1d6 1339eba
Author:     Oleg Barenboim <obarenbo@redhat.com>
AuthorDate: Mon Nov 16 10:13:03 2015 -0500
Commit:     Oleg Barenboim <obarenbo@redhat.com>
CommitDate: Mon Nov 16 10:13:03 2015 -0500

    Merge branch 'rhev_bad_component_55z' into '5.5.z'
    
    For Rhev SSA, connect through ems.
    
    For SmartState scans of VMs in the Rhev environment, connect to the
    provider through the VM's ems, instead of using oVirt directly.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1278161
    
    Upstream PR: https://github.com/ManageIQ/manageiq/pull/5341
    
    Clean cherry-pick.
    
    See merge request !389

 .../vm_or_template_shared/scanning.rb              | 54 ++++++----------------
 1 file changed, 15 insertions(+), 39 deletions(-)
Comment 10 Nandini Chandra 2015-11-30 18:19:19 EST
Successfully scanned a RHEV 3.5 VM.

Verified in 5.5.0.12

Snippet from evm.log:

[----] I, [2015-11-25T21:53:28.358978 #15986:695988]  INFO -- : MIQ(ManageIQ::Providers::Redhat::InfraManager::Vm.connect_to_ems): Connecting to [ems(directly):10.16.4.146] for VM:[/rhev/data-center/00000002-0002-0002-0002-000000000170/mastersd/master/vms/20946b65-3f55-4fcd-9ffa-5bc862aadde3/20946b65-3f55-4fcd-9ffa-5bc862aadde3.ovf]
[----] I, [2015-11-25T21:53:28.423200 #15986:695988]  INFO -- : Connection to [ems(directly):10.16.4.146] completed for VM:[/rhev/data-center/00000002-0002-0002-0002-000000000170/mastersd/master/vms/20946b65-3f55-4fcd-9ffa-5bc862aadde3/20946b65-3f55-4fcd-9ffa-5bc862aadde3.ovf] in [0.096201054] seconds
[----] I, [2015-11-25T21:53:29.513047 #15986:695988]  INFO -- : MIQ(ManageIQ::Providers::Redhat::InfraManager::Vm#agent_job_state_op) jobid: [cbcddbfe-93e8-11e5-ac18-001a4a3c2902] starting
[----] I, [2015-11-25T21:53:29.549305 #15986:695988]  INFO -- : MIQ(MiqQueue.put) Message id: [376],  id: [], Zone: [default], Role: [smartstate], Server: [], Ident: [generic], Target id: [], Instance id: [], Task id: [agent_job_state_1448506409], Command: [Job.agent_state_update_queue], Timeout: [600], Priority: [100], State: [ready], Deliver On: [], Data: [], Args: ["cbcddbfe-93e8-11e5-ac18-001a4a3c2902", "Scanning", "Initializing scan"]
Comment 12 errata-xmlrpc 2015-12-08 08:44:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.